/* GOOGLE FONT LINK  */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&family=Roboto:wght@400;500;700;900&display=swap');
:root{

    /* --gradient-light: #3F008B; */
    /* --gradient-dark: #260044; */
    --gradient-light: #f8c5c0;
    --gradient-dark: #ebaddf;
    --navbar-color: #efaec6;
    --primary-text-color: #ffffff;
    --secondary-text-color: #CFD8DC;
    --hover-link-color: #f8c5c0;

    --title-font: 'Roboto', sans-serif;
    --secondary-font:'Poppins', sans-serif;

    --padding-inline: 0 20px 0;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
}
body{
    font-family: var(--secondary-font);
    background-color: #333;
}
h1{
    font-size: 3rem;
    font-family: var(--title-font);
    color: var(--primary-text-color);
}
h2{
    font-size: 2rem;
    font-family: var(--title-font);
    color: var(--primary-text-color);
}
h3{
    font-size: 1.5rem;
    font-family: var(--title-font);
    color: var(--primary-text-color);
}
p{
    font-size: 1.25rem;
    font-family: var(--secondary-font);
    color: var(--secondary-text-color);
}
img{
    width: 100%;
}
a{
    text-decoration: none;
    color: #ffffff;
    font-family: var(--secondary-font);
}
ul{
    list-style: none;
}

/* utilities classes */
.container{
    max-width: 1180px;
    margin: auto;
    padding-inline: 30px;
    overflow: hidden;
}
.flex{
    display: flex;
    align-items: center;
}
.hover-links{
    color: var(--primary-text-color);
    transition: 0.3s ease;
}
.hover-links:hover{
    color: #392d69;
}
.secondary-btn{
    background: linear-gradient(90deg,
    var(--navbar-color) 0%,
    rgba(0,0,0,0) 100%);
    padding: 10px 20px;
    border-radius: .5rem 0 0 .5rem;
    margin-bottom: 30px;
    font-size: 1.3rem;
    letter-spacing: .5rem;
    color: white;
}
.primary-btn{
    background: linear-gradient(360deg,
    var(--navbar-color) 0%,
    var(--gradient-dark) 100%);
    padding: 10px 20px;
    border-radius: .5rem;
    margin-bottom: 30px;
    gap: .8rem;
    font-size: 1rem;
    transition: 0.3s linear;
}
.primary-btn:hover{
    background: linear-gradient(360deg,
    #380079 0%,
    #392d69 100%);
}
.title{
    text-shadow: 0 0 10px #5000ff;
    font-size: 4.1rem;
}

/* NAV BAR */
nav{
    width: 100vw;
    background: linear-gradient(90deg, var(--navbar-color), var(--gradient-dark));
    padding: 10px 0;
    position: fixed;
    top: 0;
    left: 0;
    box-shadow: 0 2px 6px #00000081;
    z-index: 99999;
    height: 70px;


    /* From https://css.glass */
/*     background: rgba(255, 255, 255, 0.2); */
/*     border-radius: 16px; */
/*     box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
    border: 1px solid rgba(255, 255, 255, 0.3); */
}

.nav-container{
    justify-content: space-between;
    position: relative;
}
.nav-img{
    flex-basis: 200px;
}
.nav-links ul{
    justify-content: flex-end;
    flex-basis: 750px;
    gap: 50px;
}
.nav-links ul li a{
    font-family: var(--secondary-font);
    font-weight: 600;
    font-size: 1.3rem;
}
.menu-icon{
    display: none;
}

/* --- active link */
.active-link{
    color: #392d69;
}
/* home section */
.home{
    padding: 50px var(--padding-inline);
    background: linear-gradient(90deg,
    var(--gradient-light), var(--gradient-dark));
    margin-top: 40px;
    padding-bottom: 50px;
    position: relative;
    /* z-index: 2; */
    min-height: 800px;
}
.waves{
    position: absolute;
    width: 100%;
    background: linear-gradient(90deg,
    var(--gradient-light), var(--gradient-dark));
    bottom: 0;
    left: 0;
}
.element-1{
    position: absolute;
    z-index: 3;
    width: 425px;
    right: 136px;
    opacity: 0.2;
    rotate: 140deg;
    top: 90px;
}
.element-3{
    position: absolute;
    z-index: 3;
    width: 575px;
    left: -175px;
    top: 0;
    opacity: 0.2;
}
.element-4{
    position: absolute;
    z-index: 3;
    bottom: 275px;
    width: 160px;
    left: 230px;
    opacity: 0.3;
}
.home-container{
    gap: 20px;
    z-index: 999;
}
.home-left{
    width: 40vw;
}
.home-right{
    width: 40vw;
}
.home-data{
    flex-direction: column;
    align-items: flex-start;
    z-index: 999;
    position: relative;
}

.home-title{
    flex-direction: column;
    align-items: flex-start;
    margin-bottom: 20px;
}
.home-title p{
    font-size: 1rem;
    letter-spacing: 0.7rem;
}
.para-text{
    font-size: 1rem;
    font-style: italic;
    margin-bottom: 30px;
    position: relative;
}
.element-5{
    position: absolute;
    top: 30px;
    right: -30px;
    opacity: 0.7;
    width: 75px;
}
.home-right{
    justify-content: flex-end;
}
.home-right-data{
    width: 70%;
    z-index: 999;
    flex-direction: column;
    position: relative;
}
.home-data,
.home-right-data{
    padding-block: 50px;
}
.social-icons{
    align-items: center;
    justify-content: center;
    gap: 1rem;
}
.social-icons a{
    font-size: 2rem;
    opacity: 0.7;
    transition: 0.2s ease;
}
.social-icons a:hover{
    opacity: 1;
    font-size: 2.1rem;
}

/* ABOUT SECTION */
.about{
    background: linear-gradient(180deg,
    var(--gradient-light)0%, var(--gradient-dark)100%);
    padding-top: 40px;
    position: relative;
    min-height: 1300px;
}
.blob-1{
    position: absolute;
    z-index: 3;
    width: 40%;
    /* opacity: .8; */
    left: 140px;
    top: 100px;
    width: 40%;
}
.blob-2{
    position: absolute;
    z-index: 3;
    width: 35%;
    /* opacity: .8; */
    bottom: 100px;
    right: 110px;
}
.element-2{
    position: absolute;
    z-index: 2;
    right: 0;
    top: 0;
    width: 100%;
    opacity: .2;
}
.about-wave{
    position: absolute;
    bottom: 0;
    width: 100%;
}
.about-content{
    flex-direction: column;
    gap: 2rem;
    z-index: 999;
}
.about-content-1 {
    /* gap: 50px; */
    justify-content: space-between;
    margin-bottom: 5rem;
}
.about-content-1-img{
    width: 45%;
    position: relative;
}
.about-contnent-1-data{
    width: 48%;
    flex-direction: column;
    gap: 30px;
    align-items: flex-start;
    /* From https://css.glass */
    background: rgba(255, 255, 255, 0.21);
    border-radius: 16px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(5.3px);
    -webkit-backdrop-filter: blur(5.3px);
    border: 1px solid rgba(255, 255, 255, 1);
    padding: 1rem;
    position: relative;
}
.about-contnent-1-data p{
    font-size: 1rem;
    text-align: justify;
    font-weight: 500;
    color: rgb(255, 255, 255);
    text-shadow: 0px 0px 20px black;
}
.qualification{
    flex-direction: column;
    align-items: flex-start;
}

/* skills */
.skills{
    flex-direction: column;
    align-items: flex-start;
    gap: 1rem;
}
.logos{
    gap: 20px;
}
.logos img{
    width: 30px;
}

/* ABOUT CONTNENT 2 */
.about-content-2{
    justify-content: space-between;
}
.about-content-2-data{
    flex-direction: column;
    align-items: flex-start;
    width: 48%;
    gap: 1rem;
    background: rgba(255, 255, 255, 0.21);
    border-radius: 16px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(5.3px);
    -webkit-backdrop-filter: blur(5.3px);
    border: 1px solid rgba(255, 255, 255, 1);
    padding: 1rem;
    position: relative;
}
.about-content-2-data p{
    font-size: 1rem;
    text-align: justify;
    font-weight: 500;
    color: rgb(255, 255, 255);
    text-shadow: 0px 0px 20px black;
}
.about-content-2-img{
    width: 45%;
    justify-content: flex-end;
    align-items: flex-end;
    position: relative;
}
.about-content-2-img img{
    width: 80%;
}
.A{
    border-radius: 30px;
}


/* projects secgtion */
.projects{
    background: linear-gradient(180deg,
    #efaec6, var(--gradient-light));
    position: relative;
}
.project-wave{
    position: absolute;
    top: 0;
    /* -webkit-transform: scaleX(-1);
  transform: scaleX(-1); */
}
.projects h3{
    font-size: 1.2rem;
}
.project-container{
    padding: 180px var(--padding-inline) ;
    flex-direction: column;
    gap: 5rem;
    padding-bottom: 100px;
}
.project-box{
    justify-content: space-between;
    flex-wrap: wrap;
    padding: 2rem;
}
.project-card{
    width: 30%;
    flex-direction: column;
    background: rgba( 255, 255, 255, 0.3 );
    box-shadow: 0 8px 32px 0 rgba( 31, 38, 135, 0.37 );
    backdrop-filter: blur( 20px );
    -webkit-backdrop-filter: blur( 20px );
    border-radius: 10px;
    border: 1px solid rgba(255, 255, 255, 1);
    padding: 2rem;
    gap: 1rem;
    cursor: pointer;
    transition: 0.3s ease;
}
.project-card:hover{
    background-color: rgba( 255, 255, 255, 0.5 );
    transform: scale(1.1);
}
.project-card img{
    border-radius: 10px;
    box-shadow: 0 8px 20px 0 rgba(5, 11, 89, 0.37);
}
.project-card a{
    background: linear-gradient(90deg,
    var(--navbar-color)0%, rgba(0,0,0,0)100%);
    padding: 5px 15px;
    border-radius: 10px 0 0 10px;
    transition: 0.5s ease;
}
.project-card a:hover{
    background: linear-gradient(90deg,
    var(--navbar-color)0%, var(--gradient-dark) 100%);
    border-radius: 10px ;
}


/* contact-section */

.contact{
    background: linear-gradient(90deg,
    var(--gradient-light), var(--gradient-dark));
    padding: 50px var(--padding-inline);
    padding-bottom: 40px;
    min-height: 100vh;
    position: relative;
}
.contact-h1{
    position: absolute;
    left: 30px;
    font-size: 265px;
    top: 135px;
    opacity: 0.2;
}
.contact-container{
    padding: 2rem;
    z-index: 999;
}
.contact-box{
    width: 100%;
    background: rgba( 255, 255, 255, 0.3 );
    box-shadow: 0 8px 32px 0 rgba( 31, 38, 135, 0.37 );
    backdrop-filter: blur( 15px );
    -webkit-backdrop-filter: blur( 15px );
    border: 1px solid white;
    border-radius: 10px;
    height: 100%;
    padding: 4rem 4rem;
    justify-content: space-between;
}
.contact-left{
    flex-direction: column;
    align-items: flex-start;
    gap: 2rem;
    width: 30%;
}
.contact-details{
    flex-direction: column;
    align-items: flex-start;
    gap: 1rem;
}
.contact-links{
    gap: 10px;
    align-items: center;
    color: #392d69;
}
.contact-links p{
    font-size: 0.9rem;
    font-weight: 500;
    color: white;
    text-shadow: 0 1px 5px  rgba(0, 0, 0, 0.579);
}

.contact-right{
    width: 50%;
}
.contact-form{
    width: 100%;
    background: rgba(244, 229, 255, 0.4);
    box-shadow: 0 8px 32px 0 rgba( 31, 38, 135, 0.37 );
    backdrop-filter: blur( 5px );
    -webkit-backdrop-filter: blur( 5px );
    border: 1px solid white;
    border-radius: 10px;
    /* border: 1px solid rgba( 255, 255, 255, 0.18 ); */
    padding: 1rem;

}
form{
    align-items: flex-start;
    gap: 1rem;
    flex-direction: column;
    width: 100%;
}
form input, textarea{
    width: 100%;
    padding: 1rem;
    border: none;
    outline: none;
    border-radius: 6px;
    background-color: #efaec6;
}
form input::placeholder,
form textarea::placeholder{
    color:black;
    font-size: 1rem;
    font-weight: 500;
}
form button{
    color: white;
    border: none;
    cursor: pointer;
}

/* scroll up */
.scrollup{
    position: fixed;
    bottom: -50%;
    right: 3rem;
    font-size: 1.5rem;
    padding: .5rem .8rem;
    color: var(--gradient-dark);
    background: rgba( 255, 255, 255, 0.65 );
    box-shadow: 0 8px 32px 0 rgba( 31, 38, 135, 0.37 );
    backdrop-filter: blur( 20px );
    -webkit-backdrop-filter: blur( 20px );
    border-radius: 10px;
    border: 1px solid white;
    z-index: 999;
    transition: bottom 0.5s, transform .3s;
}
.scrollup:hover{
    transform: translateY(-.25rem);
}
.show-scroll{
    bottom: 3rem;
}
